## org.python.core
Class AutoInternalTables

    java.lang.Object
      org.python.core.InternalTables
          org.python.core.InternalTables1
              org.python.core.InternalTables2
                  org.python.core.AutoInternalTables

Direct Known Subclasses:
  SoftIInternalTables, WeakInternalTables

    public abstract class AutoInternalTables

extends InternalTables2

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.InternalTables
`InternalTables._LazyRep`

Constructor Summary
`AutoInternalTables()`

Method Summary
`void` `_beginCanonical()`
`void` `_beginLazyCanonical()`
`void` `_beginOverAdapterClasses()`
`void` `_beginOverAdapters()`
`boolean` `_doesSomeAutoUnload()`
`void` `_flush(PyJavaClass jc)`
`void` `_forceCleanup()`
`java.lang.Object` `_next()`

Methods inherited from class org.python.core.InternalTables2
`_flushCurrent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoInternalTables

    public AutoInternalTables()

Method Detail

### _doesSomeAutoUnload

    public boolean _doesSomeAutoUnload()

  Overrides:
    `_doesSomeAutoUnload` in class `InternalTables`

### _forceCleanup

    public void _forceCleanup()

  Overrides:
    `_forceCleanup` in class `InternalTables`

### _beginCanonical

    public void _beginCanonical()

  Overrides:
    `_beginCanonical` in class `InternalTables2`

### _beginLazyCanonical

    public void _beginLazyCanonical()

  Overrides:
    `_beginLazyCanonical` in class `InternalTables2`

### _beginOverAdapterClasses

    public void _beginOverAdapterClasses()

  Overrides:
    `_beginOverAdapterClasses` in class `InternalTables2`

### _beginOverAdapters

    public void _beginOverAdapters()

  Overrides:
    `_beginOverAdapters` in class `InternalTables2`

### _next

    public java.lang.Object _next()

  Overrides:
    `_next` in class `InternalTables2`

### _flush

    public void _flush(PyJavaClass jc)

  Overrides:
    `_flush` in class `InternalTables1`

Jython homepage